{
  inputs,
}:
{
  mkHost =
    {
      name,
      arch ? "x86_64-linux",
    }:
    inputs.nixpkgs.lib.nixosSystem {
      system = arch;
      modules = [
        ./hosts/base
        ./hosts/${name}
        ./nixosModules
        (
          { ... }:
          {
            config = {
              networking.hostName = name;
            };
          }
        )
        inputs.disko.nixosModules.disko
        inputs.agenix.nixosModules.default
      ];
      specialArgs = {
        inherit inputs;
      };
    };
}
